import request from '@/utils/request'

// 查询导师带徒审批列表
export function listApprove(query) {
  return request({
    url: '/bccnew/approve/list',
    method: 'get',
    params: query
  })
}

// 查询导师带徒审批详细
export function getApprove(id) {
  return request({
    url: '/bccnew/approve/' + id,
    method: 'get'
  })
}

// 新增导师带徒审批
export function addApprove(data) {
  return request({
    url: '/bccnew/approve',
    method: 'post',
    data: data
  })
}

// 修改导师带徒审批
export function updateApprove(data) {
  return request({
    url: '/bccnew/approve',
    method: 'put',
    data: data
  })
}

// 删除导师带徒审批
export function delApprove(id) {
  return request({
    url: '/bccnew/approve/' + id,
    method: 'delete'
  })
}

// 导出导师带徒审批
export function exportApprove(query) {
  return request({
    url: '/bccnew/approve/export',
    method: 'get',
    params: query
  })
}
